"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function TotalConsumption(DefaultCharacteristic) {
    var _a;
    return _a = class TotalConsumption extends DefaultCharacteristic {
            constructor() {
                super('Total Consumption', TotalConsumption.UUID, {
                    format: "float" /* Formats.FLOAT */,
                    unit: 'kWh',
                    minValue: 0,
                    maxValue: 1000000,
                    minStep: 0.01,
                    perms: ["pr" /* Perms.PAIRED_READ */, "ev" /* Perms.NOTIFY */],
                });
            }
        },
        // Eve Energy - Total consumption
        _a.UUID = 'E863F10C-079E-48FF-8F27-9C2605A29F52',
        _a;
}
exports.default = TotalConsumption;
//# sourceMappingURL=TotalConsumption.js.map