import AirPurifier from './AirPurifier';
import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
export declare enum LightBrightness {
    OFF = 0,
    ON = 1,
    LEVEL_1 = 8,
    LEVEL_2 = 9,
    LEVEL_3 = 10
}
export default class AeroTower extends AirPurifier {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceTemperatureSensor: any;
    protected serviceHumiditySensor: any;
    protected serviceUVNano: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    setLight(value: CharacteristicValue): Promise<void>;
    protected setUVMode(value: CharacteristicValue): void;
    protected setLightBrightness(value: CharacteristicValue): void;
    updateAccessoryCharacteristic(device: Device): void;
}
//# sourceMappingURL=AeroTower.d.ts.map