import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
export default class RangeHood extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceHood: any;
    protected serviceLight: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    setHoodActive(value: CharacteristicValue): Promise<void>;
    setHoodRotationSpeed(value: CharacteristicValue): Promise<void>;
    setLightActive(value: CharacteristicValue): Promise<void>;
    setLightBrightness(value: CharacteristicValue): Promise<void>;
    updateAccessoryCharacteristic(device: Device): void;
}
//# sourceMappingURL=RangeHood.d.ts.map