import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
import { DeviceModel } from '../lib/DeviceModel';
export declare const NOT_RUNNING_STATUS: string[];
export default class Styler extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceStyter: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    updateAccessoryCharacteristic(device: Device): void;
    setActive(value: CharacteristicValue): Promise<void>;
    get Status(): StylerStatus;
}
declare class StylerStatus {
    protected data: any;
    protected deviceModel: DeviceModel;
    constructor(data: any, deviceModel: DeviceModel);
    get isPowerOn(): boolean;
    get isRemoteStartOn(): boolean;
    get isRunning(): boolean;
    get isError(): boolean;
    get remainDuration(): number;
}
export {};
//# sourceMappingURL=Styler.d.ts.map