import { Categories } from 'homebridge';
import { Device } from './lib/Device';
import AirPurifier from './devices/AirPurifier';
import Refrigerator from './devices/Refrigerator';
import WasherDryer from './devices/WasherDryer';
import Dishwasher from './devices/Dishwasher';
import Dehumidifier from './devices/Dehumidifier';
import AirConditioner from './devices/AirConditioner';
import Styler from './devices/Styler';
import RangeHood from './devices/RangeHood';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class Helper {
    static make(device: Device): typeof AirPurifier | typeof Refrigerator | typeof WasherDryer | typeof Dishwasher | typeof Dehumidifier | typeof AirConditioner | typeof RangeHood | typeof Styler | null;
    static category(device: Device): Categories.OTHER | Categories.AIR_PURIFIER | Categories.AIR_CONDITIONER | Categories.AIR_DEHUMIDIFIER;
}
export declare function isObject(item: any): any;
export declare function mergeDeep(target: any, ...sources: any[]): any;
export declare function fToC(fahrenheit: any): number;
export declare function cToF(celsius: any): number;
//# sourceMappingURL=helper.d.ts.map