import { Gateway } from './Gateway';
import { Session } from './Session';
export declare class Auth {
    protected gateway: Gateway;
    lgeapi_url: string;
    logger: any;
    constructor(gateway: Gateway);
    login(username: string, password: string): Promise<Session>;
    loginStep2(username: any, encrypted_password: any, extra_headers?: any): Promise<Session>;
    get defaultEmpHeaders(): {
        Accept: string;
        'X-Application-Key': string;
        'X-Client-App-Key': string;
        'X-Lge-Svccode': string;
        'X-Device-Type': string;
        'X-Device-Platform': string;
        'X-Device-Language-Type': string;
        'X-Device-Publish-Flag': string;
        'X-Device-Country': any;
        'X-Device-Language': any;
        'Content-Type': string;
        'Access-Control-Allow-Origin': string;
        'Accept-Encoding': string;
        'Accept-Language': string;
    };
    handleNewTerm(accessToken: any): Promise<void>;
    getJSessionId(accessToken: string): Promise<any>;
    refreshNewToken(session: Session): Promise<Session>;
    getUserNumber(accessToken: string): Promise<string>;
    getLoginUrl(): Promise<string>;
    protected signature(message: any, secret: any): string;
}
//# sourceMappingURL=Auth.d.ts.map