export declare class Session {
    private _accessToken;
    private readonly _refreshToken;
    private expiresIn;
    private expiresOn;
    constructor(_accessToken: string, _refreshToken: string, expiresIn: number);
    newToken(accessToken: any, expiresIn: any): void;
    get accessToken(): string;
    get refreshToken(): string;
    hasToken(): boolean;
    isTokenExpired(): boolean;
    hasValidToken(): boolean;
    private static getCurrentEpoch;
}
//# sourceMappingURL=Session.d.ts.map