import { default as V2 } from '../../devices/AirPurifier';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { LGThinQHomebridgePlatform } from '../../platform';
export default class AirPurifier extends V2 {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    setActive(value: CharacteristicValue): Promise<void>;
    setTargetAirPurifierState(value: CharacteristicValue): Promise<void>;
    setRotationSpeed(value: CharacteristicValue): Promise<void>;
    setSwingMode(value: CharacteristicValue): Promise<void>;
    setLight(value: CharacteristicValue): Promise<void>;
    setAirFastActive(value: CharacteristicValue): Promise<void>;
}
//# sourceMappingURL=AirPurifier.d.ts.map