import { Device } from '../lib/Device';
import { DeviceModel } from '../lib/DeviceModel';
import { Washer, AC, Refrigerator, AirPurifier, RangeHood } from './devices';
export default class Helper {
    static make(device: Device): typeof Washer | typeof AC | typeof Refrigerator | typeof AirPurifier | typeof RangeHood | null;
    /**
     * transform device from thinq1 to thinq2 compatible (with snapshot data)
     */
    static transform(device: Device, monitorData: any): Device;
    static prepareControlData(device: Device, key: string, value: string): any;
}
export declare function lookupEnumIndex(enumType: any, value: any): string;
export declare function loopupEnum(deviceModel: DeviceModel, decodedMonitor: any, key: any): any;
//# sourceMappingURL=helper.d.ts.map