"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AirState_1 = __importDefault(require("./AirState"));
function AirPurifierState(deviceModel, decodedMonitor) {
    const airState = (0, AirState_1.default)(deviceModel, decodedMonitor);
    airState['airState.operation'] = !!parseInt(decodedMonitor['Operation']);
    airState['airState.miscFuncState.airFast'] = !!parseInt(decodedMonitor['AirFast']);
    return airState;
}
exports.default = AirPurifierState;
//# sourceMappingURL=AirPurifierState.js.map