import { DeviceModel } from '../../lib/DeviceModel';
export declare enum ACOperation {
    OFF = "@AC_MAIN_OPERATION_OFF_W",
    /** This one seems to mean "on" ? */
    RIGHT_ON = "@AC_MAIN_OPERATION_RIGHT_ON_W",
    LEFT_ON = "@AC_MAIN_OPERATION_LEFT_ON_W",
    ALL_ON = "@AC_MAIN_OPERATION_ALL_ON_W"
}
export default function AirState(deviceModel: DeviceModel, decodedMonitor: any): {
    'airState.opMode': number;
    'airState.operation': boolean;
    'airState.tempState.current': number;
    'airState.tempState.target': number;
    'airState.windStrength': number;
    'airState.wDir.vStep': number;
    'airState.wDir.hStep': number;
    'airState.circulate.rotate': number;
    'airState.lightingState.signal': number;
    'airState.quality.overall': number;
    'airState.quality.sensorMon': number;
    'airState.quality.PM1': number;
    'airState.energy.onCurrent': number;
};
//# sourceMappingURL=AirState.d.ts.map