/// <reference types="node" />
import { LGThinQHomebridgePlatform } from './platform';
import { PlatformAccessory } from 'homebridge';
import { Device } from './lib/Device';
import { EventEmitter } from 'events';
export declare class baseDevice extends EventEmitter {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    updateAccessoryCharacteristic(device: Device): void;
    update(snapshot: any): void;
    get config(): any;
    static model(): string;
}
//# sourceMappingURL=baseDevice.d.ts.map