import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
import { WasherDryerStatus } from './WasherDryer';
export default class Dishwasher extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    isRunning: boolean;
    protected serviceDishwasher: any;
    protected serviceDoorOpened: any;
    protected serviceEventFinished: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    setActive(): void;
    updateAccessoryCharacteristic(device: Device): void;
    get Status(): DishwasherStatus;
    get config(): any;
    update(snapshot: any): void;
}
export declare class DishwasherStatus extends WasherDryerStatus {
    get isRunning(): boolean;
    get isDoorClosed(): boolean;
}
//# sourceMappingURL=Dishwasher.d.ts.map