"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const RangeHood_1 = __importDefault(require("../../devices/RangeHood"));
class RangeHood extends RangeHood_1.default {
    async setHoodRotationSpeed(value) {
        var _a;
        const device = this.accessory.context.device;
        await ((_a = this.platform.ThinQ) === null || _a === void 0 ? void 0 : _a.thinq1DeviceControl(device, 'VentLevel', value));
    }
    async setLightBrightness(value) {
        var _a;
        const device = this.accessory.context.device;
        await ((_a = this.platform.ThinQ) === null || _a === void 0 ? void 0 : _a.thinq1DeviceControl(device, 'LampLevel', value));
    }
}
exports.default = RangeHood;
//# sourceMappingURL=RangeHood.js.map